All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PThreadPool< Work_T >::WorkerThread Class Referenceabstract

`#include <threadpool.h>`

Inheritance diagram for PThreadPool< Work_T >::WorkerThread:

## Public Member Functions

| WorkerThread (PThreadPool &pool, Priority priority=NormalPriority)
virtual void | AddWork (Work_T *work)=0
virtual void | RemoveWork (Work_T *work)=0
virtual void | Main ()=0

## Protected Attributes

PThreadPool & | m_pool

## Constructor & Destructor Documentation

template<class Work_T>

PThreadPool< Work_T >::WorkerThread::WorkerThread | ( | PThreadPool & | pool,
|  | Priority | priority = `NormalPriority`
| ) |  |

inline

## Member Function Documentation

template<class Work_T>

virtual void PThreadPool< Work_T >::WorkerThread::AddWork | ( | Work_T * | work | ) |

pure virtual

Implemented in PQueuedThreadPool< Work_T >::QueuedWorkerThread.

template<class Work_T>

virtual void PThreadPool< Work_T >::WorkerThread::Main | ( |  | ) |

pure virtual

Implemented in PQueuedThreadPool< Work_T >::QueuedWorkerThread.

template<class Work_T>

virtual void PThreadPool< Work_T >::WorkerThread::RemoveWork | ( | Work_T * | work | ) |

pure virtual

Implemented in PQueuedThreadPool< Work_T >::QueuedWorkerThread.

Referenced by PThreadPool< Work_T >::RemoveWork().

## Member Data Documentation

template<class Work_T>

PThreadPool& PThreadPool< Work_T >::WorkerThread::m_pool

protected

The documentation for this class was generated from the following file:

- threadpool.h